DonatedTo (CMDB Model API)
Keywords: com.collation.platform.model.topology.relation.DonatedTo interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.relation
Interface DonatedTo

All Superinterfaces:
  ModelObject, Relationship, java.io.Serializable

    public interface DonatedTo

extends Relationship

Persistable:
  true

Method Summary
`java.lang.String` | `getDonatedScheme()`
`long` | `getFixedAmount()`
`long` | `getMaxAmount()`
`long` | `getMinAmount()`
`boolean` | `hasDonatedScheme()`
`boolean` | `hasFixedAmount()`
`boolean` | `hasMaxAmount()`
`boolean` | `hasMinAmount()`
`void` | `setDonatedScheme(java.lang.String s)`
`void` | `setFixedAmount(long a)`
`void` | `setMaxAmount(long max)`
`void` | `setMinAmount(long min)`

Methods inherited from interface com.collation.platform.model.topology.core.Relationship
`getGenerated, getSource, getTarget, getType, hasGenerated, hasSource, hasTarget, hasType, setGenerated, setSource, setTarget, setType`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getDonatedScheme

    java.lang.String getDonatedScheme()
                                      throws AttributeNotSetException

  Returns:
    Scheme used to donate a physical resource to a resource pool
  Throws:
    `AttributeNotSetException`

### setDonatedScheme

    void setDonatedScheme(java.lang.String s)

### hasDonatedScheme

    boolean hasDonatedScheme()

### getMinAmount

    long getMinAmount()
                      throws AttributeNotSetException

  Returns:
    Minimum amount a physical resource donated a resource pool
  Throws:
    `AttributeNotSetException`

### setMinAmount

    void setMinAmount(long min)

### hasMinAmount

    boolean hasMinAmount()

### getMaxAmount

    long getMaxAmount()
                      throws AttributeNotSetException

  Returns:
    Maximum amount of a physical resource donated to a resource pool
  Throws:
    `AttributeNotSetException`

### setMaxAmount

    void setMaxAmount(long max)

### hasMaxAmount

    boolean hasMaxAmount()

### getFixedAmount

    long getFixedAmount()
                        throws AttributeNotSetException

  Returns:
    Fixed amount of a physical resource donated to a resource pool
  Throws:
    `AttributeNotSetException`

### setFixedAmount

    void setFixedAmount(long a)

### hasFixedAmount

    boolean hasFixedAmount()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD